Bug 1432429 (CVE-2017-6874) - CVE-2017-6874 kernel: Race condition in kernel/ucount.c
Summary: CVE-2017-6874 kernel: Race condition in kernel/ucount.c
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-6874
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1432430
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-15 11:30 UTC by Andrej Nemec
Modified: 2019-09-29 14:08 UTC (History)
33 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-15 11:34:21 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-03-15 11:30:18 UTC
Race condition in kernel/ucount.c in the Linux kernel allows local users to cause a denial of service (use-after-free and system crash) or possibly have unspecified other impact via crafted system calls that leverage certain decrement behavior that causes incorrect interaction between put_ucounts and get_ucounts.

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=040757f738e13caaa9c5078bca79aa97e11dde88

Comment 1 Andrej Nemec 2017-03-15 11:31:07 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1432430]

Comment 2 Andrej Nemec 2017-03-15 11:34:21 UTC
Statement:

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux and Red Hat Enterprise MRG as they did not include the vulnerable code.

Comment 3 Fedora Update System 2017-03-28 23:53:20 UTC
kernel-4.9.17-100.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.